Bug 1045070 - Additional macros directory macro
Summary: Additional macros directory macro
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 14:45 UTC by Vít Ondruch
Modified: 2015-03-20 09:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 09:33:47 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2013-12-19 14:45:30 UTC
Fedora guidelines suggest to place additional RPM macro files into some dedicated directories [1]. It would be cool if there is macro referring to this directory. It would save me trouble how to refer to /usr/lib on 64b systems. Thanks.

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_of_Additional_RPM_Macros

Comment 1 Panu Matilainen 2013-12-27 10:21:22 UTC
I never understood what's so hard about writing literal '/usr/lib' in the cases where it is actually hardwired :) but rpm's "lets dump all the weird junk someplace" directory in /usr/lib/rpm can be addressed with %{_rpmconfigdir} in all current Fedora versions.

There's no specific macro for the macro directories though, and I'm not really convinced that adding yet more macros would make the situation somehow better as there are two different places with different alleged semantics (/etc is supposed to be per-host configuration, /usr/lib/rpm/macros.d is for distro-wide non-configuration) so we'd need two different "macro dir" macros.

Comment 2 Vít Ondruch 2014-01-02 12:46:01 UTC
I already stated the benefits. One additional benefit is that you as a RPM developer could change the preferred macros directory without need of changing every .spec file around. That helps to keep backward compatibility without too much pain. It would be useful also for UsrMove scenarios etc. But thanks for the %{_rpmconfigdir}, this is helpful.

For packaging and for all purposes I ever wanted some additional macros, I always cared just about /usr/lib/rpm/macros.d. /etc might be useful for system administrator, but not for typical package IMO.

Comment 3 Jaroslav Reznik 2015-03-03 15:20:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Florian Festi 2015-03-20 09:33:47 UTC
Looks like this is solved well enough by the updated packager documentation and there is no real need for yet another macro. Closing.


Note You need to log in before you can comment on or make changes to this bug.